package cn.net.aicare.algorithmutil;

/**
 * 体脂数据
 * Created by Suzy on 2018/8/7 21:40
 */
public class BodyFatData {

    /**
     * 身体质量指数
     */
    private double bmi;
    /**
     * 体脂率 body fat rate
     */
    private double bfr;
    /**
     * 皮下脂肪率 Subcutaneous fat rate
     */
    private double sfr;
    /**
     * 内脏脂肪指数
     */
    private int uvi;
    /**
     * 肌肉率 Rate of muscle
     */
    private double rom;
    /**
     * 基础代谢率 basal metabolic rate
     */
    private int bmr;
    /**
     * 骨骼质量 Bone Mass
     */
    private double bm;
    /**
     * 水含量
     */
    private double vwc;
    /**
     * 身体年龄 physical bodyAge
     */
    private int bodyAge;
    /**
     * 蛋白率 protein percentage
     */
    private double pp;

    public double getBmi() {
        return bmi;
    }

    public void setBmi(double bmi) {
        this.bmi = bmi;
    }

    public double getBfr() {
        return bfr;
    }

    public void setBfr(double bfr) {
        this.bfr = bfr;
    }

    public double getSfr() {
        return sfr;
    }

    public void setSfr(double sfr) {
        this.sfr = sfr;
    }

    public int getUvi() {
        return uvi;
    }

    public void setUvi(int uvi) {
        this.uvi = uvi;
    }

    public double getRom() {
        return rom;
    }

    public void setRom(double rom) {
        this.rom = rom;
    }

    public int getBmr() {
        return bmr;
    }

    public void setBmr(int bmr) {
        this.bmr = bmr;
    }

    public double getBm() {
        return bm;
    }

    public void setBm(double bm) {
        this.bm = bm;
    }

    public double getVwc() {
        return vwc;
    }

    public void setVwc(double vwc) {
        this.vwc = vwc;
    }

    public int getBodyAge() {
        return bodyAge;
    }

    public void setBodyAge(int bodyAge) {
        this.bodyAge = bodyAge;
    }

    public double getPp() {
        return pp;
    }

    public void setPp(double pp) {
        this.pp = pp;
    }
}
